wibble::exception::WaitInterrupted Class Reference

Exception thrown when some system wait is interrupted by a signal. More...

`#include <exception.h>`

Inheritance diagram for wibble::exception::WaitInterrupted:
[legend]
Collaboration diagram for wibble::exception::WaitInterrupted:
[legend]

## Public Member Functions

| WaitInterrupted (const std::string &context) throw ()
virtual const char * | type () const throw ()
| Get a string tag identifying the exception type. More...
Public Member Functions inherited from wibble::exception::Interrupted
| Interrupted () throw ()
| Interrupted (const std::string &context) throw ()
Public Member Functions inherited from wibble::exception::Generic
| Generic () throw ()
| Generic (const std::string &context) throw ()
virtual | ~Generic () throw ()
virtual std::string | desc () const throw ()
| Get a string describing what happened that threw the exception. More...
virtual const std::string & | fullInfo () const throw ()
| Format in a string all available information about the exception. More...
virtual const char * | what () const throw ()
Public Member Functions inherited from wibble::exception::Context
| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Additional Inherited Members

Protected Attributes inherited from wibble::exception::Generic
std::string | m_formatted
Protected Attributes inherited from wibble::exception::Context
std::vector< std::string > | m_context

## Detailed Description

Exception thrown when some system wait is interrupted by a signal.

It is a direct child of InterruptedException, and has the very same semantics.

Warning
  Any function throwing WaitInterruptedException must allow to be called again with the same parameters to retry the operation

## Constructor & Destructor Documentation

wibble::exception::WaitInterrupted::WaitInterrupted | ( | const std::string & | context | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

virtual const char* wibble::exception::WaitInterrupted::type | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string tag identifying the exception type.

Reimplemented from wibble::exception::Interrupted.

The documentation for this class was generated from the following file:

- exception.h